<ui:composition
        xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:s="http://jboss.org/schema/seam/taglib"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns="http://www.w3.org/1999/xhtml">

    <s:div styleClass="col-md-4"
           rendered="#{statisticsForTestingPhaseBeanGui.isMonitor() and !statisticsForTestingPhaseBeanGui.isAdminOrTSM()
           and !statisticsForTestingPhaseBeanGui.isMonitorOfCurrentSession()}"></s:div>
    <s:div styleClass="col-md-4 gzl-alert gzl-alert-orange gzl-monitor-alert"
           rendered="#{statisticsForTestingPhaseBeanGui.isMonitor() and  !statisticsForTestingPhaseBeanGui.isAdminOrTSM()
          and !statisticsForTestingPhaseBeanGui.isMonitorOfCurrentSession()}">
        <span class="gzl-icon-exclamation-triangle"/>
        <h:outputText value="#{messages['net.ihe.gazelle.tm.YouAreNotAMonitorForThisTestingSession']}"/>
    </s:div>
    <s:div styleClass="col-md-12"
           rendered="#{statisticsForTestingPhaseBeanGui.isMonitor() and !statisticsForTestingPhaseBeanGui.isAdminOrTSM()
           and !statisticsForTestingPhaseBeanGui.isMonitorOfCurrentSession()}"></s:div>

    <div class="row">
        <h:panelGroup rendered="#{statisticsForTestingPhaseBeanGui.isVendor()}">
            <ui:repeat value="#{statisticsForTestingPhaseBeanGui.getSystemsForCurrentUser()}"
                       var="system">
                <h:panelGroup class="statistics-card-height"
                              rendered="#{!statisticsForTestingPhaseBeanGui.getTestRunsStatisticsForASystem(system).isEmpty()}">
                    <ui:include src="../layout/pie-chart.xhtml">
                        <ui:param name="headerTitle"
                                  value="#{statisticsForTestingPhaseBeanGui.getSystemKeyword(system)}"/>
                        <ui:param name="link"
                                  value="#{statisticsForTestingPhaseBeanGui.getLinkFilterTestExecutionPage(system)}"/>
                        <ui:param name="titleLink" value="#{messages['net.ihe.gazelle.tm.TestExecution']}"/>
                        <ui:param name="classLink" value="glyphicon gzl-icon-play-circle-green"/>
                        <ui:param name="information"
                                  value="#{messages['net.ihe.gazelle.tm.ThereIsATotalOf']} #{statisticsForTestingPhaseBeanGui.getNumberOfTotalTestInstancesForASystemInSession(system )} #{messages['net.ihe.gazelle.tm.TestRunsForThisSystem']}"/>
                        <ui:param name="values"
                                  value="#{statisticsForTestingPhaseBeanGui.getTestRunsStatisticsForASystem(system)}"/>
                        <ui:param name="labelValues"
                                  value="[&quot;#{messages['gazelle.tm.testing.status.verified']}&quot;,
                                          &quot;#{messages['gazelle.tm.testing.status.failed']}&quot;,
                                          &quot;#{messages['net.ihe.gazelle.tm.InProgress']}&quot;,
                                          &quot;#{messages['gazelle.tm.test.ToBeVerified']}&quot;,
                                          &quot;#{messages['gazelle.tm.testing.status.partiallyVerified']}&quot;,
                                          &quot;#{messages['gazelle.tm.testing.status.critical']}&quot;]"/>
                        <ui:param name="colors"
                                  value="#{statisticsForTestingPhaseBeanGui.getColorsForTestInstancesForChart()}"/>
                        <ui:param name="chartTitle" value="#{messages['net.ihe.gazelle.tm.StatusesOfTestRuns']}"/>
                        <ui:param name="myChartId" value="chart#{system.id}"/>
                    </ui:include>
                </h:panelGroup>

                <h:panelGroup class="statistics-card-height"
                              rendered="#{statisticsForTestingPhaseBeanGui.getTestRunsStatisticsForASystem(system).isEmpty()}">
                    <ui:include src="../layout/cards/testing/_testing-card-no-run.xhtml">
                        <ui:param name="headerTitle"
                                  value="#{statisticsForTestingPhaseBeanGui.getSystemKeyword(system)}"/>

                        <ui:param name="link"
                                  value="#{statisticsForTestingPhaseBeanGui.getLinkFilterTestExecutionPage(system)}"/>
                    </ui:include>
                </h:panelGroup>
            </ui:repeat>
            <div class="col-md-12"></div>
        </h:panelGroup>


        <h:panelGroup rendered="#{statisticsForTestingPhaseBeanGui.isTestSessionManagerOrAdmin()}">
            <ui:include src="../layout/pie-chart.xhtml">
                <ui:param name="headerTitle"
                          value="#{messages['net.ihe.gazelle.tm.Overall']}"/>
                <ui:param name="information"
                          value="#{messages['net.ihe.gazelle.tm.ThereIsATotalOf']} #{statisticsForTestingPhaseBeanGui.getNumberOfTotalTestInstances()} #{messages['net.ihe.gazelle.tm.TestRuns']}"/>
                <ui:param name="values"
                          value="#{statisticsForTestingPhaseBeanGui.getStatisticsForAllTestInstances()}"/>
                <ui:param name="labelValues"
                          value="[&quot;#{messages['gazelle.tm.testing.status.verified']}&quot;,
                                          &quot;#{messages['gazelle.tm.testing.status.failed']}&quot;,
                                          &quot;#{messages['net.ihe.gazelle.tm.InProgress']}&quot;,
                                          &quot;#{messages['gazelle.tm.test.ToBeVerified']}&quot;,
                                          &quot;#{messages['gazelle.tm.testing.status.partiallyVerified']}&quot;,
                                          &quot;#{messages['gazelle.tm.testing.status.critical']}&quot;]"/>
                <ui:param name="colors"
                          value="#{statisticsForTestingPhaseBeanGui.getColorsForTestInstancesForChart()}"/>
                <ui:param name="myChartId" value="chartOverall"/>
                <ui:param name="chartTitle" value="#{messages['net.ihe.gazelle.tm.StatusesOfTestRuns']}"/>
            </ui:include>
        </h:panelGroup>

        <h:panelGroup rendered="#{statisticsForTestingPhaseBeanGui.isTestSessionManagerOrAdmin()}">
            <ui:include src="../layout/pie-chart.xhtml">
                <ui:param name="headerTitle"
                          value="#{messages['net.ihe.gazelle.tm.RemainingAmountOfWork']}"/>
                <ui:param name="information"
                          value="#{messages['net.ihe.gazelle.tm.ThereIsATotalOf']} #{statisticsForTestingPhaseBeanGui.getNumberOfVerificationPendingTestInstances()} #{messages['net.ihe.gazelle.tm.TestRunsToBeReviewedByAMonitor']}"/>
                <ui:param name="values"
                          value="#{statisticsForTestingPhaseBeanGui.getStatisticsForEvaluationPendingTestInstances()}"/>
                <ui:param name="labelValues"
                          value="[&quot;#{messages['gazelle.tm.testing.status.tobeverified']}&quot;,
                                          &quot;#{messages['net.ihe.gazelle.tm.Claimed']}&quot;,
                                          &quot;#{messages['gazelle.tm.testing.status.critical']}&quot;,
                                          &quot;#{messages['gazelle.tm.testing.status.partiallyVerified']}&quot;]"/>
                <ui:param name="colors"
                          value="#{statisticsForTestingPhaseBeanGui.getColorsForRemainingWorkForChart()}"/>
                <ui:param name="myChartId" value="chartRemainingWork"/>
                <ui:param name="chartTitle" value="#{messages['net.ihe.gazelle.tm.ToBeVerifiedTestRuns']}"/>
            </ui:include>
        </h:panelGroup>

        <h:panelGroup rendered="#{statisticsForTestingPhaseBeanGui.isTestSessionManagerOrAdmin()}">
            <ui:include src="../layout/pie-chart.xhtml">
                <ui:param name="headerTitle"
                          value="#{messages['net.ihe.gazelle.tm.LeftOver']}"/>
                <ui:param name="information"
                          value="#{statisticsForTestingPhaseBeanGui.getNumberOfLeftOverTestInstances()} #{messages['net.ihe.gazelle.tm.TestRunsHaveBeenAwaitingAReviewForMoreThan24Hour']}"/>
                <ui:param name="values"
                          value="#{statisticsForTestingPhaseBeanGui.getStatisticsLeftOverTestInstances()}"/>
                <ui:param name="labelValues"
                          value="[&quot;>24 #{messages['net.ihe.gazelle.tm.Hours']}&quot;,
                                          &quot;>36 #{messages['net.ihe.gazelle.tm.Hours']}&quot;,
                                          &quot;>48 #{messages['net.ihe.gazelle.tm.Hours']}&quot;]"/>
                <ui:param name="colors"
                          value="#{statisticsForTestingPhaseBeanGui.getColorsForLeftOverForChart()}"/>
                <ui:param name="myChartId" value="chartLeftOver"/>
                <ui:param name="chartTitle" value="#{messages['net.ihe.gazelle.tm.PendingTestRuns']}"/>
            </ui:include>
        </h:panelGroup>
        <div class="col-md-12"></div>

        <s:div styleClass="col-sm-12 col-md-3  statistics-card-height gzl-card-monitor-empty"
               rendered="#{statisticsForTestingPhaseBeanGui.isMonitorOfCurrentSession()}"></s:div>
        <h:panelGroup rendered="#{statisticsForTestingPhaseBeanGui.isMonitorOfCurrentSession()}">
            <s:decorate template="../layout/pie-chart.xhtml">
                <ui:param name="headerTitle"
                          value="#{messages['net.ihe.gazelle.tm.MyGrading']}"/>
                <ui:param name="link"
                          value="#{statisticsForTestingPhaseBeanGui.getWorklistFilteredForMonitor()}"/>
                <ui:param name="classLink" value="glyphicon glyphicon-list-alt"/>
                <ui:param name="titleLink" value="#{messages['net.ihe.gazelle.tm.Worklist']}"/>

                <ui:define name="additional-link">
                    <h:link outcome="#{statisticsForTestingPhaseBeanGui.getAllTestRunsLinkFilteredForMonitor()}"
                            title="#{messages['gazelle.common.menu.AllTestRun']}"
                            class="fa fa-list"/>
                </ui:define>

                <ui:param name="information"
                          value="#{messages['net.ihe.gazelle.tm.ThereIsATotalOf']} #{statisticsForTestingPhaseBeanGui.getNumberOfTotalTestInstancesForMonitorInSession()} #{messages['net.ihe.gazelle.tm.TestsClaimedByMe']}"/>
                <ui:param name="values"
                          value="#{statisticsForTestingPhaseBeanGui.getStatisticsForAllTestInstancesOfCurrentMonitor()}"/>
                <ui:param name="labelValues"
                          value="[&quot;#{messages['gazelle.tm.testing.status.verified']}&quot;,
                                          &quot;#{messages['gazelle.tm.testing.status.failed']}&quot;,
                                          &quot;#{messages['gazelle.tm.test.ToBeVerified']}&quot;,
                                          &quot;#{messages['gazelle.tm.testing.status.partiallyVerified']}&quot;,
                                          &quot;#{messages['gazelle.tm.testing.status.critical']}&quot;]"/>
                <ui:param name="colors"
                          value="#{statisticsForTestingPhaseBeanGui.getColorsForTestInstancesForMonitorForChart()}"/>
                <ui:param name="myChartId" value="chartMyGrading"/>
                <ui:param name="chartTitle" value="#{messages['net.ihe.gazelle.tm.MyClaimedTestRuns']}"/>
            </s:decorate>
        </h:panelGroup>
    </div>
</ui:composition>